<script lang="ts">
import Vue from 'vue';
import { SlpHorizontalRule } from '../common/index.vue';

export default Vue.extend({
  name: 'PartnersCTA',
  components: {
    SlpHorizontalRule,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section
    class="slp-mb-64 slp-mt-96"
    :class="{ 'enterprise-cta--no-image': !data.image }"
  >
    <SlpRow :class="{ inverted: data.inverted }">
      <SlpColumn
        :cols="data.image ? 6 : ''"
        class="slp-flex slp-align-items-center"
      >
        <div class="enterprise-cta__body">
          <div
            class="slp-mb-32 slp-flex slp-flex-column slp-align-items-center slp-justify-content-center"
          >
            <SlpTypography
              tag="h1"
              variant="heading1-bold"
              class="cta-title"
              :class="{ 'enterprise-cta__title-image': !data.image }"
              >{{ data.title }}</SlpTypography
            >
            <div
              v-if="data.body.text"
              class="description"
              v-html="$md.render(data.body.text)"
            ></div>
          </div>
          <div
            v-if="data.primaryButton || data.secondary_button"
            class="slp-mb-32 button-container"
          >
            <SlpButton
              v-if="data.primaryButton"
              class="slp-mr-8 cta-button"
              variant="primary"
              :data-ga-name="data.primaryButton.data_ga_name || 'free trial'"
              data-ga-location="header"
              :href="data.primaryButton.url || '/free-trial/'"
              >{{ data.primaryButton.text || 'Get free trial' }}</SlpButton
            >
            <SlpButton
              v-if="data.secondary_button"
              class="cta-button"
              variant="secondary"
              :href="data.secondary_button.url || '/sales/'"
              :data-ga-name="
                data.secondary_button.data_ga_name || 'contact sales'
              "
              data-ga-location="header"
              >{{ data.secondary_button.text || 'Contact Sales' }}</SlpButton
            >
          </div>
          <SlpTypography
            v-if="data.tag_line"
            tag="p"
            variant="body1"
            class="slp-mb-24"
            >{{ data.tag_line }}</SlpTypography
          >
        </div>
      </SlpColumn>
      <SlpColumn v-if="data.image" :cols="6" class="slp-flex image-container">
        <img
          class="cta__image"
          :src="data.image.image_url"
          :alt="data.image.alt"
          laoding="lazy"
        />
      </SlpColumn>
      <SlpHorizontalRule
        v-if="data.horizontal_rule"
        class="slp-mb-64 slp-mt-64"
      />
    </SlpRow>
  </section>
</template>

<style lang="scss" scoped>
.inverted {
  flex-direction: row-reverse;
}
.cta-title {
  text-align: left;
  width: 100%;
  margin-bottom: 16px;
}
h3 {
  margin-bottom: $spacing-8;
  margin-top: $spacing-24;
  font-weight: 500;
}
.sub-header {
  margin-bottom: 12px;
  font-weight: 500;
  font-size: 30px;
}

.enterprise-cta {
  margin-bottom: 128px;
  @media (max-width: $breakpoint-md) {
    margin-top: 0;
    margin-bottom: $spacing-96;
  }

  &__body {
    &--text {
      @media (min-width: $breakpoint-md) {
        width: 50%;
      }
    }
  }

  &--no-image {
    .slp-row {
      justify-content: center;
    }
  }

  &--no-image &__body {
    text-align: center;
  }

  &__title-image {
    position: relative;
    display: inline;
  }
}

.cta__company-icon {
  height: 19px;
}

.image-container {
  padding: 0 2rem;
  justify-content: center;
  align-items: center;
}

.cta__image {
  max-height: 150px;
  max-width: 100%;
}
.description {
  font-size: $text-heading-5;
  line-height: $line-height-heading-5;
  letter-spacing: -0.72px;

  &:deep {
    h2 {
      display: block;
      margin-top: 24px;
      margin-bottom: 16px;
    }
  }
}
.cta-button {
  @media (max-width: $breakpoint-lg) {
    width: 100%;
    justify-content: center;
  }
}
</style>
